"use server";
import { deleteCountry } from "~/server/actions/deleteCountry";
import { db } from "~/server/db";

export default async function WineList() {
  const wines = await db.query.wines.findMany();
  return (
    <div className="pt-4">
      <h1 className="text-2xl">All wines:</h1>
      {wines ? (
        <>
          <ul>
            {wines.map((wine) => (
              <li key={wine.id}>{wine.name}</li>
            ))}
          </ul>
        </>
      ) : (
        <p>There are no wines in the db.</p>
      )}
    </div>
  );
}
